package com.jdbernard.wdiwtlt.db.models;

import java.util.Date;
import java.sql.Timestamp;

public class MediaFile extends Model {
    public static final String TAG_INFO = "tag info";
    public static final String FILE_LOCATION = "file location";

    public String name;
    public String discNumber;
    public Integer trackNumber;
    public int playCount = 0;
    public String filePath;
    public String fileHash;
    public String metaInfoSource = TAG_INFO;
    public Timestamp dateAdded = new Timestamp(new Date().getTime());
    public Timestamp lastPlayed;
    public String comment;

    public String toString() {
      if (trackNumber != null) return trackNumber + " - " + name;
      else return name; }
}
